<script>
import TaskTable from '@/Pages/Tasks/Components/TaskTable.vue'
import TaskTableRow from '@/Pages/Tasks/Components/TaskTableRow.vue'
import TaskTableDetails from '@/Pages/Tasks/Components/TaskTableDetails.vue'
import TaskTableRowDetails from '@/Pages/Tasks/Components/TaskTableRowDetails.vue'

export default {
    name: 'TaskShow',
    props: {
        'title': String,
    },
    components: {
        TaskTableRow,
        TaskTable,
        TaskTableRowDetails,
        TaskTableDetails,
    },
    methods: {
        statusName(num){
            switch (num) {
                case 0:
                    return "قيد الانجاز"
                    break;

                default:
                    break;
            }
        }
    },
}
</script>

<template>
    <div>
        <TaskTable :isHidden="true">
            <TaskTableRow
                :title="$page.props.task.title"
                :date="$page.props.taskDateCreate"
                :from="$page.props.task.from_user.name"
                :to="$page.props.task.to_user.name"
                :status="statusName($page.props.task.status)"
                :isHidden="true"
            >
                <td v-if="$page.props.task.file != null" className="py-4 px-6">
                    <a :href="'/task-download/' + $page.props.task.id" className="font-medium text-blue-600 hover:underline">تنزيل الملف الملحق</a>
                </td>
                <td v-if="$page.props.task.file == null" className="py-4 px-6">
                    <span className="font-medium text-black hover:underline"> - </span>
                </td>
            </TaskTableRow>
        </TaskTable>
    </div>
    <div>
        <TaskTableDetails>
            <TaskTableRowDetails v-for="detail in $page.props.taskDetails"
                :date="detail.created_at"
                :from="detail.from_user.name"
                :details="detail.details"
                :url="detail.file"
            >
                <td v-if="detail.file != null" className="py-4 px-6">
                    <a :href="'/task-download-details/' + detail.id" className="font-medium text-blue-600 hover:underline">تنزيل الملف الملحق</a>
                </td>
                <td v-if="detail.file == null" className="py-4 px-6">
                    <span className="font-medium text-black hover:underline"> - </span>
                </td>
            </TaskTableRowDetails>
        </TaskTableDetails>
    </div>
</template>
